Bug 1196142 - Add RBD support for LIO HA
Summary: Add RBD support for LIO HA
Keywords:
Status: CLOSED DUPLICATE of bug 1367182
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RBD
Version: 1.2.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.1
Assignee: Mike Christie
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On: 1196119
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-25 11:30 UTC by Mike Christie
Modified: 2017-07-30 15:31 UTC (History)
9 users (show)

Fixed In Version: lrbd-1.0.2-2.20160314gitc00c7d3.el7cp
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-26 21:25:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1303245 0 medium CLOSED Review Request: lrbd - Configure iSCSI access to Ceph rbd images 2021-02-22 00:41:40 UTC

Internal Links: 1303245

Description Mike Christie 2015-02-25 11:30:43 UTC
Description of problem:

This BZ is for bringing in userspace RBD changes required for LIO HA support being requested in

https://bugzilla.redhat.com/show_bug.cgi?id=1196119

More info can also be found here:

https://wiki.ceph.com/Planning/Blueprints/Hammer/Clustered_SCSI_target_using_RBD
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Federico Lucifredi 2015-03-26 00:42:32 UTC
Josh, can you comment on feasibility for 1.3? Was this already taken care of as part of the RHEL  7.1 effort perchance?

Comment 3 Ken Dreyer (Red Hat) 2015-12-11 18:39:10 UTC
Mike, I assume we need to package and ship https://github.com/SUSE/lrbd ? I think that's the only userland change needed here - does that match your understanding?

Comment 4 Mike Christie 2015-12-11 19:32:07 UTC
(In reply to Ken Dreyer (Red Hat) from comment #3)
> Mike, I assume we need to package and ship https://github.com/SUSE/lrbd ? I
> think that's the only userland change needed here - does that match your
> understanding?

Yes.

Comment 6 Ken Dreyer (Red Hat) 2016-01-29 22:27:40 UTC
lrbd package up for review in Fedora: bug 1303245

Still need to create an Ubuntu package.

Comment 10 Mike Christie 2016-03-03 00:25:57 UTC
Here are is info on how to use lrbd:

https://github.com/swiftgist/lrbd/wiki

The difference between upstream and RHEL will be that we use iblock and upstream uses target_core_rbd.

However, in the RHEL version, I made iblock the default and only usable option, so you can't and do not need to pass in -I. Just run lrbd like described in the doc and it will use iblock.

And then of course if you run targetcli ls, the rbd device will show up in the iblock backend interface instead of the rbd backend one like in the pics on that page.

Comment 11 Federico Lucifredi 2016-03-03 01:29:50 UTC
Ping. We are still missing a QA ack on this one.

Comment 12 Vasu Kulkarni 2016-03-03 01:42:35 UTC
Tanay,

See how you can run this tests,
https://github.com/swiftgist/lrbd/tree/master/test

Eventually this should become part of our regression tests.

Comment 13 Tanay Ganguly 2016-03-08 19:05:56 UTC
Thanks Mike and Vasu, for providing the information.

Comment 14 Ken Dreyer (Red Hat) 2016-03-15 13:04:49 UTC
Note that this bug pertains to RHEL-only, not Ubuntu. The Ubuntu kernel does not have the features we need.

Comment 15 Mike McCune 2016-03-28 23:03:07 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 19 Ken Dreyer (Red Hat) 2016-05-31 16:15:32 UTC
I'm guessing we should rebase to a newer lrbd version, now that this is off the 2.0 schedule. Moving back to ASSIGNED in the meantime.

Comment 20 Ken Dreyer (Red Hat) 2016-09-26 21:25:33 UTC

*** This bug has been marked as a duplicate of bug 1367182 ***


Note You need to log in before you can comment on or make changes to this bug.